[Python-Dev] Suggestion: new 3 release with backwards compatibility

Brian Curtin brian.curtin at gmail.com
Tue Jan 5 18:21:31 CET 2010

On Tue, Jan 5, 2010 at 10:10, Juan Fernando Herrera J. <juanfhj at gmail.com>wrote:

> How about a new python 3 release with (possibly partial) backwards
> compatibility with 2.6? I'm a big 3 fan, but I'm dismayed at the way major
> software hasn't been ported to it. I'm eager to use 3, but paradoxically,
> the 3 release makes me rather stuck with 2.6. Excuse me if this has been
> suggested in the past.
The proper route to take, in my opinion, is to see what 2.x libraries you
are using that are not 3.x compatible, run 2to3 on them, then run their test
suite, and see where you get. Submit a patch or two to the library and see
what happens -- it at least gets the wheels in motion.

I'm sure everyone out there would like to dive into supporting 3.x, but it's
tough to prioritize when you are up to your eyeballs with 2.x bugs in your
tracker. Look at Twisted (
-- over 1000 issues, ~5 developers -- 3.x support won't be here tomorrow,
but it's on the horizon.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/python-dev/attachments/20100105/67a4e6e2/attachment-0007.htm>

More information about the Python-Dev mailing list